; ANNEX
;  annex.scm Lat Lon Rot Altitude
;             1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object

	Points( 0
		-20 0 -20	; 0
		 30 0 -20
		 30 0 -15
		 20 0 -5
		 20 0  20
		-20 0  20

		-20 44 -20	; 6
		 30 44 -20
		 30 44 -15
		 20 44 -5
		 20 44  20
		-20 44  20
	
		 20 44 -20	; 12
		
		 20 56 -20	; 13
		 30 56 -20
		 30 56 -15
		 20 56 -5

		 30 50 -15	; 17 [for texture]
		 20 50 -5
		 30 55 -15
		 20 55 -5
		
		)

	SurfaceColor( 04 F0 )

	Bitmap( nagside.pat 0 0 0 0 )
	TexPoly( a
		3 0 148
		4 10 148
		10 10 128
		9 0 128
		)
	TexPolyShading( 32767 0 0 )

	Poly( a 2 3 9 8 )

	TexPoly( a
		4 0 148
		5 10 148
		11 10 128
		10 0 128
		)
	TexPolyShading( p 0 0 )

	Poly( a 5 0 6 11 )
	Poly( a 0 1 7 6 )
	Poly( a 1 2 8 7 )
	Poly( a 6 12 10 11 )	; roof 1

	; elv tower
	Poly( a 12 7 14 13 )
	Poly( a 7 8 15 14 )
	Poly( a 8 9 16 15 )
	Poly( ai 9 12 13 16 )

	Poly( a 13 14 15 16 )

	IfVarRange( :in_day 28C 2 4 )
	Bitmap( nagtex2n.pat 0 0 0 0 )
	Jump( :start_draw )
:in_day
	Bitmap( nagtex2.pat 0 0 0 0 )

:start_draw
	BitmapMode( 1 )
	TexPoly( a
		17 0 200
		18 132 200
		20 132 162
		19 0 162
		)
	BitmapMode( 0 )
	Return

EndA
