; ≮ 
;  matusouth.scm Lat Lon Rot Altitude
;                1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Points( 0
		20 0 -34  ; 0
		20 0 34
		-20 0 34
		-20 0 -34
		20 54 -34 ; 4
		20 54 34
		4 54 34
		4 54 -34

		4 20 -34 ; 8
		4 20 34
		-20 20 34
		-20 20 -34
		)
	SurfaceColor( 04 F0 )

	Poly( a 8 9 10 11 )
	Poly( ai 8 9 6 7 )

	Bitmap( nagtex3.pat 0 0 0 0 )
	TexPoly( a
		0 0  118
		1 147 118
		5 147 0
		4 0 0
		)

	SurfaceColor( 04 F0 )
	ConcavePoly
	Poly( a 1 2 10 9 6 5 )
	ConcavePoly
	Poly( a 0 3 11 8 7 4 )
	Poly( a 4 5 6 7 )
	Poly( a 3 2 10 11 )
	Return

EndA
