; pRANXgze
;  asocia.scm Lat Lon Rot Altitude
;                1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Building( 0 0 0  10  52 92  05 1F )

	Points( 0
		 15 40 -8
		-15 40 -8
		-15 40 -38
		 15 40 -38

		 15 50 -8
		-15 50 -8
		-15 50 -38
		 15 50 -38
		)

	SurfaceColor( 04 F0 )

	IfVarRange( :in_day 28C 2 4 )
	Bitmap( nagtex2n.pat 0 0 0 0 )
	Jump( :start_draw )
:in_day
	Bitmap( nagtex2.pat 0 0 0 0 )

:start_draw
	TexPoly( ai
		0 0 96
		1 176 96
		5 176 44
		4 0 44
		)
	TexPoly( a
		1 0 130
		2 168 130
		6 168 92
		5 0 92 )
	TexPoly( a
		2 0 96
		3 176 96
		7 176 44
		6 0 44 )
	TexPoly( a 
		3 0 130
		0 168 130
		4 168 92
		7 0 92 )
	Poly( a 4 5 6 7 )
	Return

EndA
