;
; nagoya gulf west big bridge
;

Area( 5 %1 %2 25 )
	PerspectiveCall( :L1 )
	ShadowCall( :Shadow )
	Jump( : )

:L1
	Perspective
:Shadow
	Refpoint( 7 :No_object 1 %1 %2 )

	VectorJump( :fromS m 0 0 32767 0 )
	VectorJump( :fromNW m 32767 0 0 0 )

	; from north east
	TransformCall( :Pole -202 0 0  0 0 0 0 0 0 ) ; SW
	TransformCall( :Pole  202 0 0  0 0 0 0 0 0 ) ; SE
	Call( :Road )
	TransformCall( :Pole -202 0 0  0 0 0 0 180 0 ) ; NW
	TransformCall( :Pole  202 0 0  0 0 0 0 180 0 ) ; NE
:No_object
	Return

:fromNW
	; from north east
	TransformCall( :Pole  202 0 0  0 0 0 0 0 0 ) ; SE
	TransformCall( :Pole -202 0 0  0 0 0 0 0 0 ) ; SW
	Call( :Road )
	TransformCall( :Pole  202 0 0  0 0 0 0 180 0 ) ; NE
	TransformCall( :Pole -202 0 0  0 0 0 0 180 0 ) ; NW
	Return

	; from south
:fromS
	VectorJump( :fromSW m 32767 0 0 0 )

	; from north east
	TransformCall( :Pole -202 0 0  0 0 0 0 180 0 ) ; NW
	TransformCall( :Pole  202 0 0  0 0 0 0 180 0 ) ; NE
	Call( :Road )
	TransformCall( :Pole -202 0 0   0 0 0 0 0 0 ) ; SW
	TransformCall( :Pole  202 0 0   0 0 0 0 0 0 ) ; SE
	Return

:fromSW
	; from north east
	TransformCall( :Pole  202 0 0  0 0 0 0 180 0 ) ; NE
	TransformCall( :Pole -202 0 0  0 0 0 0 180 0 ) ; NW
	Call( :Road )
	TransformCall( :Pole  202 0 0   0 0 0 0 0 0 ) ; SE
	TransformCall( :Pole -202 0 0   0 0 0 0 0 0 ) ; SW
	Return

:Pole
	VectorJump( :PoleW m 32767 0 0 0 )
	
	Call( :WestLine )
	Call( :PoleMain )
	Call( :EastLine )
	Return

:PoleW
	Call( :EastLine )
	Call( :PoleMain )
	Call( :WestLine )
	Return

:PoleMain
	Points( 0
		3  0    -18	; 0
		3  122  -3
		3  122  0
		3  119  0
		3  95   -3
		3  95   0
		3  91   0
		3  91   -4
		3  0    -15

		-3  0    -18	; 0
		-3  122  -3
		-3  122  0
		-3  119  0
		-3  95   -3
		-3  95   0
		-3  91   0
		-3  91   -4
		-3  0    -15

		0  122  -5	; 18 for light
	)

	SurfaceColor( 05 F0 )
	Poly( a 4 5 14 13 )
	Poly( ai 3 4 13 12 )

	Poly( a 0 1 10 9 )
	Poly( a 1 2 11 10 )
	Poly( ai 7 8 17 16 )

	ConcavePoly
	Poly( a 0  1  2  3  4  5  6  7  8 )
	ConcavePoly
	Poly( a 9 10 11 12 13 14 15 16 17 )

	IfVarRange( :no_light 28C 2 4 )
	IfVarAnd( :no_light 282 3333 )
	LineColor( 15 F0 )
	DotPt( 18 )
:no_light
	Return	

:EastLine
	Points( 0
		3    119  -3	; 0
	        3    113  -3
	        3   106  -4
	        3    100  -4
	        3    93   -5

	        175  43   -8	; 5
	        141  43   -8
	        108  43   -8
	        74   43   -8
		40   43   -8
	)
	LineColor( 05 F0 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )
	MoveToPt( 3 )
	DrawToPt( 8 )
	MoveToPt( 4 )
	DrawToPt( 9 )
	Return	

:WestLine
	Points( 0
		-3    119  -3	; 0
	        -3    113  -3
	        -3    106  -4
	        -3    100   -4
	        -3    93   -5

	        -175  43   -8	; 5
	        -141  43   -8
	        -108  43   -8
	        -74   43   -8
		-40   43   -8
	)
	LineColor( 05 F0 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )
	MoveToPt( 3 )
	DrawToPt( 8 )
	MoveToPt( 4 )
	DrawToPt( 9 )
	Return	

:Road
	Points( 0
		410  39 -9	; 0
		410  43 -9
		410  43 9
		410  39 9

		-410  39 -9	; 4
		-410  43 -9
		-410  43 9
		-410  39 9
	)
	SurfaceColor( 05 F0 )
	Poly( a 0 1 5 4 )
	Poly( a 2 3 7 6 )
	SurfaceColor( 03 F0 )
	Poly( a 1 2 6 5 )
	Return

EndA


