; zeA\VA
;  asocia.scm Lat Lon Rot Altitude
;                1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Building( 0 0 0  21  18 91  05 1F )

	Points( 0
		 5 84 17
		-5 84 17
		-5 84 -17
		 5 84 -17

		 5 94 17
		-5 94 17
		-5 94 -17
		 5 94 -17
		)

	SurfaceColor( 04 F0 )
	IfVarRange( :in_day 28C 2 4 )
	Bitmap( nagtex1n.pat 0 0 0 0 )
	Jump( :start_draw )
:in_day
	Bitmap( nagtex1.pat 0 0 0 0 )

:start_draw
	TexPoly( a
		0 84 52
		1 141 52
		5 141 0
		4 84 0
		)
	TexPoly( a
		1 140 40
		2 255 40
		6 255 0
		5 140 0 )
	TexPoly( a
		2 84 52
		3 141 52
		7 141 0
		6 84 0)
	TexPoly( a 
		3 140 40
		0 255 40
		4 255 0 
		7 140 0 )
	Poly( a 4 5 6 7 )
	Return

EndA
