;
; Fireworks macro
;
; original macro made by Yuji Hamada(GGD03161@niftyserve.or.jp) 
; modified by Takuya Murakami

; %1  = Latitude
; %2  = Longitude
; %3  = Range
; %4  = Scale
; %5  = Height (MSL)

Area(  5 %1 %2 %3 )

	; available after 20:00
	IfVarAnd( : 362 10 )
	IfVarAnd( : 362 04 )

	PerspectiveCall( :Start )
	Jump( : )

:Start
    Perspective
mif( %5 )
    RefPoint( 2 :end %4 %1 %2 E= %5 )
melse
    RefPoint( 7 :end %4 %1 %2 )
mifend


	IfVarRange( :end 30C 0000 11200 )

	IfVarRange( :B9 30C 0000 5600 )
	IfVarRange( :B5 30C 0000 2800 )
	IfVarRange( :B3 30C 0000 1400 )
	IfVarRange( :P2 30C 0000 700 )
:P1
	Bitmap( fw1.r8 0 0 0 0 )
	Jump( :Draw )
:P2
	Bitmap( fw2.r8 0 0 0 0 )
	Jump( :Draw )

:B3
	IfVarRange( :P4 30C 1400 2100 )
:P3
	Bitmap( fw3.r8 0 0 0 0 )
	Jump( :Draw )
:P4
	Bitmap( fw4.r8 0 0 0 0 )
	Jump( :Draw )

:B5
	IfVarRange( :B7 30C 2800 4200 )
	IfVarRange( :P6 30C 2800 3500 )
:P5
	Bitmap( fw5.r8 0 0 0 0 )
	Jump( :Draw )
:P6
	Bitmap( fw6.r8 0 0 0 0 )
	Jump( :Draw )

:B7
	IfVarRange( :P8 30C 4200 4900 )
:P7
	Bitmap( fw7.r8 0 0 0 0 )
	Jump( :Draw )
:P8
	Bitmap( fw8.r8 0 0 0 0 )
	Jump( :Draw )

:B9
	IfVarRange( :B13 30C 5600 8400 )
	IfVarRange( :B11 30C 5600 7000 )
	IfVarRange( :P10 30C 5600 6300 )
:P9
	Bitmap( fw9.r8 0 0 0 0 )
	Jump( :Draw )
:P10
	Bitmap( fw10.r8 0 0 0 0 )
	Jump( :Draw )

:B11
	IfVarRange( :P12 30C 7000 7700 )
:P11
	Bitmap( fw11.r8 0 0 0 0 )
	Jump( :Draw )
:P12
	Bitmap( fw12.r8 0 0 0 0 )
	Jump( :Draw )

:B13
	IfVarRange( :B15 30C 8400 9800 )
	IfVarRange( :P14 30C 8400 9100 )
:P13
	Bitmap( fw13.r8 0 0 0 0 )
	Jump( :Draw )
:P14
	Bitmap( fw14.r8 0 0 0 0 )
	Jump( :Draw )

:B15
	IfVarRange( :P16 30C 9800 10500 )
:P15
	Bitmap( fw15.r8 0 0 0 0 )
	Jump( :Draw )
:P16
	Bitmap( fw16.r8 0 0 0 0 )

:Draw
    RotatedCall(  :Set1  0 0 0  )
    RotatedCall(  :Set1  0 0 90  )
    RotatedCall(  :Set1  0 0 180  )
    RotatedCall(  :Set1  0 0 270  )
:end
	return

:Set1
        Points(  0     
    -20 0 0                            ; 0
    -20 40 0                           ; 1
    20 40 0                            ; 2
    20 0 0                             ; 3
                )

        BitmapMode( 1 )
        Inst_7D
        TexPoly( ai
	      0  0  255
	      1  0  0
	      2  255  0
	      3  255  255
                 )
        BitmapMode( 0 )
	Return
EndA
