;
; Fireworks macro
;
; original macro made by Yuji Hamada(GGD03161@niftyserve.or.jp) 
; modified by Takuya Murakami

; %1  = Latitude
; %2  = Longitude
; %3  = Range
; %4  = Scale
; %5  = Height (MSL)

Area(  5 %1 %2 %3 )

	; available after 20:00
	IfVarAnd( : 362 10 )
	IfVarAnd( : 362 04 )

	PerspectiveCall( :Start )
	Jump( : )

:Start
    Perspective
mif( %5 )
    RefPoint( 2 :end %4 %1 %2 E= %5 )
melse
    RefPoint( 7 :end %4 %1 %2 )
mifend

	IfVarAnd( :B9 282 00FF )
	IfVarAnd( :B5 282 000F )
	IfVarAnd( :B3 282 0003 )
	IfVarAnd( :P2 282 0001 )
:P1
	Bitmap( fw1.pat 0 0 0 0 )
	Jump( :Draw )
:P2
	Bitmap( fw4.pat 0 0 0 0 )
	Jump( :Draw )

:B3
	IfVarAnd( :P4 282 0004 )
:P3
	Bitmap( fw7.pat 0 0 0 0 )
	Jump( :Draw )
:P4
	Bitmap( fw10.pat 0 0 0 0 )
	Jump( :Draw )

:B5
	IfVarAnd( :B7 282 0030 )
	IfVarAnd( :P6 282 0010 )
:P5
	Bitmap( fw13.pat 0 0 0 0 )
	Jump( :Draw )
:P6
	Bitmap( fw16.pat 0 0 0 0 )
	Jump( :Draw )

:B7
	IfVarAnd( :P8 282 0040 )
:P7
	Bitmap( fw2.pat 0 0 0 0 )
	Jump( :Draw )
:P8
	Bitmap( fw5.pat 0 0 0 0 )
	Jump( :Draw )

:B9
	IfVarAnd( :B13 282 0F00 )
	IfVarAnd( :B11 282 0300 )
	IfVarAnd( :P10 282 0100 )
:P9
	Bitmap( fw8.pat 0 0 0 0 )
	Jump( :Draw )
:P10
	Bitmap( fw11.pat 0 0 0 0 )
	Jump( :Draw )

:B11
	IfVarAnd( :P12 282 0400 )
:P11
	Bitmap( fw14.pat 0 0 0 0 )
	Jump( :Draw )
:P12
	Bitmap( fw3.pat 0 0 0 0 )
	Jump( :Draw )

:B13
	IfVarAnd( :B15 282 3000 )
	IfVarAnd( :P14 282 1000 )
:P13
	Bitmap( fw6.pat 0 0 0 0 )
	Jump( :Draw )
:P14
	Bitmap( fw9.pat 0 0 0 0 )
	Jump( :Draw )

:B15
	IfVarAnd( :P16 282 4000 )
:P15
	Bitmap( fw12.pat 0 0 0 0 )
	Jump( :Draw )
:P16
	Bitmap( fw15.pat 0 0 0 0 )

:Draw
	RotatedCall(  :Set1  0 0 0  )
	RotatedCall(  :Set1  0 0 90  )
	RotatedCall(  :Set1  0 0 180  )
	RotatedCall(  :Set1  0 0 270  )
:end
	Return

:Set1
        Points(  0     
	    -20 0 0                            ; 0
	    -20 40 0                           ; 1
	    20 40 0                            ; 2
	    20 0 0                             ; 3
        )

        ConcavePoly
        BitmapMode( 1 )
        Inst_7D
        TexPoly( ai
	      0  0  255
	      1  0  0
	      2  255  0
	      3  255  255
                 )
        BitmapMode( 0 )
	Return
EndA
