;  (Aichi pref. office)
;  kencho.scm Lat Lon Rot Altitude
;                 1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	Jump( : )

:Sub
	Perspective
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Building( 0 0 0  7 90 90 0 1F )
;	TransformCall( :Tower 0 28 35  0 0 0 0 0 0 )
	TransformCall( :Tower -35 28 0  0 0 0 0 90 0 )

	Return

:Tower
	Points( 0
		-10 0 -5    ; 0
		 10 0 -5
		 10 0  5
		-10 0  5
		-10 4 -5    ; 4
		 10 4 -5
		 10 4  5
		-10 4  5

		-11 4 -7     ; 8
		 11 4 -7
		 11 4  7
		-11 4  7
		-9 10  0     ; 12
		 9 10  0

		 -4 0 -5      ; 14
		 -4 0 -8
		  0 4 -5
		  0 4 -8
		  4 0 -5
		  4 0 -8

		 -4 0 5      ; 20
		 -4 0 8
		  0 4 5
		  0 4 8
		  4 0 5
		  4 0 8
		)

	VectorJump( :label1 0 0 32767 0 )
	Call( :side1 )
	Call( :body )
	Call( :side2 )
	Call( :roof )
	Return
:label1
	Call( :side2 )
	Call( :body )
	Call( :side1 )
	Call( :roof )
	Return

:body
	SurfaceColor( 04 F0 )
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	Return

:roof
	SurfaceColor( 0D F0 )
	Poly( a 8 9 13 12 )
	Poly( a 10 11 12 13 )

	SurfaceColor( 04 F0 )
	Poly( a 8 11 12 )
	Poly( a 9 10 13 )
	Return

:side1
	SurfaceColor( 0D F0 )
	Poly( a 14 15 17 16 )
	Poly( a 16 17 19 18 )
	SurfaceColor( 04 F0 )
	Poly( a 15 17 19 )
	Return

:side2
	SurfaceColor( 0D F0 )
	Poly( a 20 21 23 22 )
	Poly( a 22 23 25 24 )
	SurfaceColor( 04 F0 )
	Poly( a 20 22 24 )
	Return

EndA


