; ≮
;  matucent.scm Lat Lon Rot Altitude
;                1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Building( 0 0 0  9  70 84  05 1F )


	Points( 0
		 20 36 -32
		 20 36 14
		-20 36 14
		-20 36 -32

		 20 52 -32
		 20 52 14
		-20 52 14
		-20 52 -32
		)


	IfVarRange( :in_day 28C 2 4 )
	Bitmap( nagtex1n.pat 0 0 0 0 )
	Jump( :start_draw )
:in_day
	Bitmap( nagtex1.pat 0 0 0 0 )

:start_draw

	TexPoly( a
		0 86  128
		1 252 128
		5 252 56
		4 86 56
		)
	TexPoly( a
		2 86  128
		3 252 128
		7 252 56
		6 86 56
		)

	SurfaceColor( 04 F0 )
	Poly( a 1 2 6 5 )
	Poly( a 3 0 4 7 )

	Poly( a 4 5 6 7 )

	Return

EndA
