; SOhze 
;  meitetsu.scm Lat Lon Rot Altitude
;                1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Building( 0  0 0  10 68 75 06 1F )
	Building( 0 40 0   5 40 50 06 1F )

	Points( 0
		 10 60 17
		-10 60 17
		-10 60 -17
		 10 60 -17

		 10 72 17
		-10 72 17
		-10 72 -17
		 10 72 -17
		)


	IfVarRange( :in_day 28C 2 4 )
	Bitmap( nagtex2n.pat 0 0 0 0 )
	Jump( :start_draw )
:in_day
	Bitmap( nagtex2.pat 0 0 0 0 )

:start_draw
	TexPoly( a
		1 0 50
		2 128 50
		6 128 0
		5 0 0 )
	TexPoly( a 
		3 0 50
		0 128 50
		4 128 0 
		7 0 0 )

	SurfaceColor( 04 F0 )
	Poly( a	0 1 5 4 )
	Poly( a 2 3 7 6 )
	Poly( a 4 5 6 7 )
	Return

EndA
