;
; central bridge
;

Area( 5 N35:10:14.37 E136:54:49.49 10 )
	PerspectiveCall( :L1 )
	ShadowCall( :Shadow )
	Jump( : )

:L1
	Perspective
:Shadow
;	Refpoint( 7 :L11 1 N35:10:14.2 E136:54:39.7 ) ;np1
	Refpoint( 7 :L11 1.1 N35:10:14.0 E136:54:40.7 )
	RotatedCall( :L2 0 0 88  )
:L11
	Return

:L2
	Points( 0
		; side 1
		-35	0	-3		; 0
		-22	5	-3
		-10	8	-3
		0	9	-3
		10	8	-3
		22	5	-3
		35	0	-3
		22	0	-3
		16	4	-3
		8	6	-3
		0	6	-3
		-8	6	 -3
		-16 	4	-3
		-22	0	-3
		
		; side 2
		-35	0	3		; 14
		-22	5	3
		-10	8	3
		0	9	3
		10	8	3
		22	5	3
		35	0	3
		22	0	3
		16	4	3
		8	6	3
		0	6	3
		-8	6	3
		-16 	4	3
		-22	0	3

		; wire
		-16		0	-3		; 28
		-23	 20	-3
		-12	8	-3
		-5  	8	-3
		0	9	-3
		5  	8	-3
		
		-16		0	3		; 34
		-23	   20	3
		-12 	8	3
		-5  	8	3
		0	9	3
		5	9	3
	)

	; draw side
	IfVarRange( :in_day 28C 2 4 )
	SurfaceColor( 16 F0 )
	Jump( :start_draw )
:in_day
	SurfaceColor( 04 F0 )

:start_draw
	ConcavePoly
	Poly( a 0 1 2 3 4 5 6 7 8 9 10 11 12 13 )
	ConcavePoly
	Poly( a 14 15 16 17 18 19 20 21 22 23 24 25 26 27 )

	; draw top
	Poly( au 0 1 15 14 )
	Poly( au 1 2 16 15 )
	Poly( au 2 3 17 16 )
	Poly( au 3 4 18 17 )
	Poly( au 4 5 19 18 )
	Poly( au 5 6 20 19 )

	; draw wire
	LineColor( 04 F0 )
	MoveToPt( 28 )
	DrawToPt( 29 30 )
	MoveToPt( 29 )
	DrawToPt( 31 )
	MoveToPt( 29 )
	DrawToPt( 32 )
	MoveToPt( 29 )
	DrawToPt( 33 )

	MoveToPt( 34 )
	DrawToPt( 35 36 )
	MoveToPt( 35 )
	DrawToPt( 37 )
	MoveToPt( 35 )
	DrawToPt( 38 )
	MoveToPt( 35 )
	DrawToPt( 39 )

	; light
	IfVarRange( :No_object 28C 2 4 )
	LineColor( 0F F0 )	; red
	DotLine( -35 0 -3  -22 5 -3  8 )
	DotLine( -35 0  3  -22 5  3  8 )

	LineColor( 13 F0 )	; orange
	DotLine( -22 5 -3  -10 8 -3  8 )
	DotLine( -22 5  3  -10 8  3  8 )

	LineColor( 14 F0 )	; yellow
	DotLine( -10 8 -3  0 9 -3  8 )
	DotLine( -10 8  3  0 9  3  8 )

	LineColor( 10 F0 )	; green
	DotLine( 0 9 -3  10 8 -3  8 )
	DotLine( 0 9  3  10 8  3  8 )

	LineColor( 12 F0 )	; dark green
	DotLine( 10 8 -3  22 5 -3  8 )
	DotLine( 10 8  3  22 5  3  8 )

	LineColor( 11 F0 )	; blue
	DotLine( 22 5 -3  35 0 -3  8 )
	DotLine( 22 5  3  35 0  3  8 )

:No_object
	Return

EndA
