; És (Nagoya city hall)
;  siyakusyo.scm Lat Lon Rot Altitude
;                 1   2   3     4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	Jump( : )

:Sub
	Perspective
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 8000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 8000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Building( 0 0 0  7 60 90 0 1F )
	TransformCall( :Tower -20 28 0  0 0 0 0 0 0 )
	Return

:Tower
	Points( 0
		-7 0 -7	; 0
		 7 0 -7
		 7 0  7
		-7 0  7

		-7 18 -7	; 4
		 7 18 -7
		 7 18  7
		-7 18  7

		-5 18 -5	; 8
		 5 18 -5
		 5 18  5
		-5 18  5

		-5 22 -5	; 12
		 5 22 -5
		 5 22  5
		-5 22  5

		-6 22 -6	; 16
		 6 22 -6
		 6 22  6
		-6 22  6
		 0 29  0

		-5 24 -5	; 21
		 5 24 -5
		 5 24  5
		-5 24  5
		 0 31  0
		)

	SurfaceColor( 0A F0 )
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	Poly( a 4 5 6 7 )

	SurfaceColor( 0B F0 )
	Poly( a  8  9 13 12 )
	Poly( a  9 10 14 13 )
	Poly( a 10 11 15 14 )
	Poly( a 11  8 12 15 )

	SurfaceColor( 0D F0 )
	Poly( a 16 17 20 )
	Poly( a 17 18 20 )
	Poly( a 18 19 20 )
	Poly( a 19 16 20 )

	Poly( a 21 22 25 )
	Poly( a 22 23 25 )
	Poly( a 23 24 25 )
	Poly( a 24 21 25 )
	Return

EndA

