;
;	RXJC^[ (Higashiyama sky tower)
;
Area( 5 N35:09:13.9 E136:58:54.2 25 )
    PerspectiveCall( :T1 )
    ShadowCall( :Shadow )
    Jump( : )

:T1
    Perspective
:Shadow
    RefPoint( 7  :No_object 1  N35:09:13.9 E136:58:54.2 )
    RotatedCall( :T11 0 0 355 )
:No_object
    Return

:T11
    Points( 0
	 11 0 -11	; 0
	 11 0  11
	-11 0  11
	-11 0 -11

	 11 120 -11	; 4
	 11 120  11
	-11 120  11
	-11 120 -11

	0 148 0		; 8
	)

;	LineColor( 00 F0 )
;	MoveToPt( 0 )
;	DrawToPt( 1 5 4 )
;	MoveToPt( 1 )
;	DrawToPt( 2 6 5 )
;	MoveToPt( 2 )
;	DrawToPt( 3 7 6 )
;	DrawToPt( 3 )
;	DrawToPt( 0 4 7 )
;	MoveToPt( 4 )
;	DrawToPt( 8 6 )
;	MoveToPt( 5 )
;	DrawToPt( 8 7 )

	IfVarRange( :in_day 28C 2 4 )
	SurfaceColor( 12 F0 )
	Bitmap( nagtex1n.pat 0 0 0 0 )
	Jump( :draw_poly )
:in_day
	SurfaceColor( 07 F0 )
	Brightness( 100 )
	Bitmap( nagtex1.pat 0 0 0 0 )

:draw_poly
	Bitmap( nagtex1.pat 0 0 0 0 )
	TexPoly( a 
		 0  0 255
		 1 39 255
		 5 39 32
		 4  0 32 )
	TexPoly( a
		 1 40 255
		 2 79 255
		 6 79 32
		 5 40 32 )
	TexPoly( a 
		 2  0 255
		 3 39 255
		 7 39 32
		 6  0 32 )
	TexPoly( a
		 3 40 255
		 0 79 255
		 4 79 32
		 7 40 32 )
	TexPoly( a
		 4  0 31
		 5 39 31
		 8 20 0 )
	TexPoly( a
		 5 40 31
		 6 79 31
		 8 60 0 )
	TexPoly( a
		 6  0 31
		 7 39 31
		 8 20 0 )
	TexPoly( a
		 7 40 31
		 4 79 31
		 8 60 0 )

	IfVarRange( :end_draw 28C 2 4 )

	; draw lights
	LineColor( 13 F0 )
	IfVarRange( :sparselight 37E -1500 1500 )
	IfVarRange( :sparselight 386 -1500 1500 )

	;;;; dense light
	VectorJump( :southd m 0 0 32767 0 )

	;; north
	Call( :NELightD )
	Call( :NWLightD )

	VectorJump( :northwestd m 32767 0 0 0 )
	Call( :SELightD )
	Jump( :flush )

	:northwestd
	Call( :SWLightD )
	Jump( :flush )

	:southd
	Call( :SELightD )
	Call( :SWLightD )

	VectorJump( :southwestd m 32767 0 0 0 )

	Call( :NELightD )
	Jump( :flush )

	:southwestd
	Call( :NWLightD )
	Jump( :flush )
	
	;;;; sparse light
	:sparselight
	LineColor( 13 F0 )
	VectorJump( :souths m 0 0 32767 0 )

	;; north
	Call( :NELightS )
	Call( :NWLightS )

	VectorJump( :northwests m 32767 0 0 0 )
	Call( :SELightS )
	Jump( :flush )

	:northwests
	Call( :SWLightS )
	Jump( :flush )

	:souths
	Call( :SELightS )
	Call( :SWLightS )

	VectorJump( :southwests m 32767 0 0 0 )

	Call( :NELightS )
	Jump( :flush )

	:southwests
	Call( :NWLightS )

:flush	
	IfVarAnd( :end_draw 282 3333 )
	LineColor( 15 F0 )
	DotPt( 8 )
	
:end_draw
	Return

:NELightD
	DotLine(  11   0  11   11 120  11  20 )
	DotLine(  11 120  11    0 148   0   5 )
	Return

:NWLightD
	DotLine( -11   0  11  -11 120  11  20 )
	DotLine( -11 120  11    0 148   0   5 )
	Return
	

:SELightD
	DotLine(  11   0 -11   11 120 -11  20 )
	DotLine(  11 120 -11    0 148   0   5 )
	Return

:SWLightD
	DotLine( -11   0 -11  -11 120 -11  20 )
	DotLine( -11 120 -11    0 148   0   5 )
	Return

:NELightS
	DotLine(  11   0  11   11 120  11   8 )
	DotLine(  11 120  11    0 148   0   3 )
	Return

:NWLightS
	DotLine( -11   0  11  -11 120  11   8 )
	DotLine( -11 120  11    0 148   0   3 )
	Return
	

:SELightS
	DotLine(  11   0 -11   11 120 -11   8 )
	DotLine(  11 120 -11    0 148   0   3 )
	Return

:SWLightS
	DotLine( -11   0 -11  -11 120 -11   8 )
	DotLine( -11 120 -11    0 148   0   3 )
	Return

EndA
